org.apache.jmeter.protocol.http.control

## Interface CookieHandler

- All Known Implementing Classes:
    HC4CookieHandler

      public interface CookieHandler

  Interface to be implemented by CookieHandler

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCookieFromHeader(CookieManager cookieManager, boolean checkCookies, java.lang.String cookieHeader, java.net.URL url)` Add cookie to CookieManager from cookieHeader and URL
    `java.lang.String` | `getCookieHeaderForURL(CollectionProperty cookiesCP, java.net.URL url, boolean allowVariableCookie)` Find cookies applicable to the given URL and build the Cookie header from them.
    `java.lang.String` | `getDefaultPolicy()`
    `java.lang.String[]` | `getPolicies()`

- - ### Method Detail

    - #### addCookieFromHeader

          void addCookieFromHeader(CookieManager cookieManager,
                                   boolean checkCookies,
                                   java.lang.String cookieHeader,
                                   java.net.URL url)

      Add cookie to CookieManager from cookieHeader and URL
      Parameters:
        `cookieManager` - CookieManager on which cookies are added
        `checkCookies` - boolean to indicate if cookies must be validated against spec
        `cookieHeader` - String cookie Header
        `url` - URL

    - #### getCookieHeaderForURL

          java.lang.String getCookieHeaderForURL(CollectionProperty cookiesCP,
                                                 java.net.URL url,
                                                 boolean allowVariableCookie)

      Find cookies applicable to the given URL and build the Cookie header from them.
      Parameters:
        `cookiesCP` - `CollectionProperty` of `Cookie`
        `url` - URL of the request to which the returned header will be added.
        `allowVariableCookie` - flag whether to allow jmeter variables in cookie values
      Returns:
        the value string for the cookie header (goes after "Cookie: ") or null if no cookie matches

    - #### getDefaultPolicy

          java.lang.String getDefaultPolicy()

      Returns:
        Cookie default policy name

    - #### getPolicies

          java.lang.String[] getPolicies()

      Returns:
        Supported cookie policies

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.